"use client";
"use client";
import { cn as e } from "../../../lib/utils.js";
import { a as t, i as n, n as r, o as i, r as a, s as o, t as s } from "../../../DialogTrigger-BuKadcdL.js";
import { t as c } from "../../../button-BNOmhdpM.js";
import { t as l } from "../../../DialogRoot-eVsH835b.js";
import { jsx as u, jsxs as d } from "react/jsx-runtime";
import { XIcon as f } from "lucide-react";
//#region lib/components/ui/atoms/dialog.tsx
function p({ ...e }) {
	return /* @__PURE__ */ u(l, {
		"data-slot": "dialog",
		...e
	});
}
function m({ ...e }) {
	return /* @__PURE__ */ u(s, {
		"data-slot": "dialog-trigger",
		...e
	});
}
function h({ ...e }) {
	return /* @__PURE__ */ u(a, {
		"data-slot": "dialog-portal",
		...e
	});
}
function g({ ...e }) {
	return /* @__PURE__ */ u(i, {
		"data-slot": "dialog-close",
		...e
	});
}
function _({ className: t, ...n }) {
	return /* @__PURE__ */ u(o, {
		className: e("data-open:fade-in-0 data-closed:fade-out-0 fixed inset-0 isolate z-50 bg-black/10 duration-100 data-closed:animate-out data-open:animate-in supports-backdrop-filter:backdrop-blur-xs", t),
		"data-slot": "dialog-overlay",
		...n
	});
}
function v({ className: t, children: r, showCloseButton: a = !0, ...o }) {
	return /* @__PURE__ */ d(h, { children: [/* @__PURE__ */ u(_, {}), /* @__PURE__ */ d(n, {
		className: e("data-open:fade-in-0 data-open:zoom-in-95 data-closed:fade-out-0 data-closed:zoom-out-95 fixed top-1/2 left-1/2 z-50 grid w-full max-w-[calc(100%-2rem)] -translate-x-1/2 -translate-y-1/2 gap-4 rounded-lg bg-popover p-4 text-popover-foreground text-sm outline-none ring-1 ring-foreground/10 duration-100 data-closed:animate-out data-open:animate-in sm:max-w-md", t),
		"data-slot": "dialog-content",
		...o,
		children: [r, a && /* @__PURE__ */ d(i, {
			"data-slot": "dialog-close",
			render: /* @__PURE__ */ u(c, {
				className: "absolute top-2 right-2",
				size: "icon-sm",
				variant: "ghost"
			}),
			children: [/* @__PURE__ */ u(f, {}), /* @__PURE__ */ u("span", {
				className: "sr-only",
				children: "Close"
			})]
		})]
	})] });
}
function y({ className: t, ...n }) {
	return /* @__PURE__ */ u("div", {
		className: e("flex flex-col gap-2", t),
		"data-slot": "dialog-header",
		...n
	});
}
function b({ className: t, showCloseButton: n = !1, children: r, ...a }) {
	return /* @__PURE__ */ d("div", {
		className: e("-mx-4 -mb-4 flex flex-col-reverse gap-2 rounded-b-lg border-t bg-muted/50 p-4 sm:flex-row sm:justify-end", t),
		"data-slot": "dialog-footer",
		...a,
		children: [r, n && /* @__PURE__ */ u(i, {
			render: /* @__PURE__ */ u(c, { variant: "outline" }),
			children: "Close"
		})]
	});
}
function x({ className: t, ...n }) {
	return /* @__PURE__ */ u(r, {
		className: e("font-medium text-base leading-none", t),
		"data-slot": "dialog-title",
		...n
	});
}
function S({ className: n, ...r }) {
	return /* @__PURE__ */ u(t, {
		className: e("text-muted-foreground text-sm *:[a]:underline *:[a]:underline-offset-3 *:[a]:hover:text-foreground", n),
		"data-slot": "dialog-description",
		...r
	});
}
//#endregion
export { p as Dialog, g as DialogClose, v as DialogContent, S as DialogDescription, b as DialogFooter, y as DialogHeader, _ as DialogOverlay, h as DialogPortal, x as DialogTitle, m as DialogTrigger };
